Package org.pgpainless.authentication

# Class CertificateAuthenticity.ChainLink

java.lang.Object
org.pgpainless.authentication.CertificateAuthenticity.ChainLink

Enclosing class:
  `CertificateAuthenticity`

public static class CertificateAuthenticity.ChainLink extends Object
A chain link contains a node in the trust chain.

## Constructor Summary

Constructors
Constructor
Description
`ChainLink(org.bouncycastle.openpgp.PGPPublicKeyRing certificate)`
Create a chain link.

## Method Summary

Modifier and Type
Method
Description
`org.bouncycastle.openpgp.PGPPublicKeyRing`
`getCertificate()`
Return the certificate that belongs to the node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChainLink

public ChainLink(@Nonnull org.bouncycastle.openpgp.PGPPublicKeyRing certificate)
Create a chain link.

Parameters:
  `certificate` - node in the trust chain

## Method Details

### getCertificate

@Nonnull public org.bouncycastle.openpgp.PGPPublicKeyRing getCertificate()
Return the certificate that belongs to the node.

Returns:
  certificate